Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tapestry5.internal.plastic
Enum PrimitiveType

    java.lang.Object
      java.lang.Enum<PrimitiveType>
          org.apache.tapestry5.internal.plastic.PrimitiveType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PrimitiveType>, org.apache.tapestry5.internal.plastic.asm.Opcodes

    public enum PrimitiveType

extends java.lang.Enum<PrimitiveType>
implements org.apache.tapestry5.internal.plastic.asm.Opcodes

Collects together information needed to write code that involves primitive types, including moving between wrapper types and primitive values, or extracting a primitive value from the `StaticContext`.

Enum Constant Summary
`BOOLEAN`
`BYTE`
`CHAR`
`DOUBLE`
`FLOAT`
`INT`
`LONG`
`SHORT`
`VOID`

Field Summary
`java.lang.String` | `descriptor`
`java.lang.String` | `getFromStaticContextMethodDescriptor`
`java.lang.String` | `getFromStaticContextMethodName`
`int` | `loadOpcode`
`java.lang.String` | `name`
`java.lang.Class` | `primitiveType`
`int` | `returnOpcode`
`int` | `storeOpcode`
`java.lang.String` | `toValueMethodDescriptor`
`java.lang.String` | `toValueMethodName`
`java.lang.String` | `valueOfMethodDescriptor`
`java.lang.String` | `wrapperInternalName`
`java.lang.Class` | `wrapperType`

Fields inherited from interface org.apache.tapestry5.internal.plastic.asm.Opcodes
`AALOAD, AASTORE, ACC_ABSTRACT, ACC_ANNOTATION, ACC_BRIDGE, ACC_DEPRECATED, ACC_ENUM, ACC_FINAL, ACC_INTERFACE, ACC_MANDATED, ACC_NATIVE, ACC_PRIVATE, ACC_PROTECTED, ACC_PUBLIC, ACC_STATIC, ACC_STRICT, ACC_SUPER, ACC_SYNCHRONIZED, ACC_SYNTHETIC, ACC_TRANSIENT, ACC_VARARGS, ACC_VOLATILE, ACONST_NULL, ALOAD, ANEWARRAY, ARETURN, ARRAYLENGTH, ASM4, ASM5, ASTORE, ATHROW, BALOAD, BASTORE, BIPUSH, CALOAD, CASTORE, CHECKCAST, D2F, D2I, D2L, DADD, DALOAD, DASTORE, DCMPG, DCMPL, DCONST_0, DCONST_1, DDIV, DLOAD, DMUL, DNEG, DOUBLE, DREM, DRETURN, DSTORE, DSUB, DUP, DUP_X1, DUP_X2, DUP2, DUP2_X1, DUP2_X2, F_APPEND, F_CHOP, F_FULL, F_NEW, F_SAME, F_SAME1, F2D, F2I, F2L, FADD, FALOAD, FASTORE, FCMPG, FCMPL, FCONST_0, FCONST_1, FCONST_2, FDIV, FLOAD, FLOAT, FMUL, FNEG, FREM, FRETURN, FSTORE, FSUB, GETFIELD, GETSTATIC, GOTO, H_GETFIELD, H_GETSTATIC, H_INVOKEINTERFACE, H_INVOKESPECIAL, H_INVOKESTATIC, H_INVOKEVIRTUAL, H_NEWINVOKESPECIAL, H_PUTFIELD, H_PUTSTATIC, I2B, I2C, I2D, I2F, I2L, I2S, IADD, IALOAD, IAND, IASTORE, ICONST_0, ICONST_1, ICONST_2, ICONST_3, ICONST_4, ICONST_5, ICONST_M1, IDIV, IF_ACMPEQ, IF_ACMPNE, IF_ICMPEQ, IF_ICMPGE, IF_ICMPGT, IF_ICMPLE, IF_ICMPLT, IF_ICMPNE, IFEQ, IFGE, IFGT, IFLE, IFLT, IFNE, IFNONNULL, IFNULL, IINC, ILOAD, IMUL, INEG, INSTANCEOF, INTEGER, INVOKEDYNAMIC, INVOKEINTERFACE, INVOKESPECIAL, INVOKESTATIC, INVOKEVIRTUAL, IOR, IREM, IRETURN, ISHL, ISHR, ISTORE, ISUB, IUSHR, IXOR, JSR, L2D, L2F, L2I, LADD, LALOAD, LAND, LASTORE, LCMP, LCONST_0, LCONST_1, LDC, LDIV, LLOAD, LMUL, LNEG, LONG, LOOKUPSWITCH, LOR, LREM, LRETURN, LSHL, LSHR, LSTORE, LSUB, LUSHR, LXOR, MONITORENTER, MONITOREXIT, MULTIANEWARRAY, NEW, NEWARRAY, NOP, NULL, POP, POP2, PUTFIELD, PUTSTATIC, RET, RETURN, SALOAD, SASTORE, SIPUSH, SWAP, T_BOOLEAN, T_BYTE, T_CHAR, T_DOUBLE, T_FLOAT, T_INT, T_LONG, T_SHORT, TABLESWITCH, TOP, UNINITIALIZED_THIS, V1_1, V1_2, V1_3, V1_4, V1_5, V1_6, V1_7, V1_8`

Method Summary
`static PrimitiveType` | `getByName(java.lang.String name)` Returns the primitive type matching the given type name or null for a non-primitive type (an array type, or an class name).
`static PrimitiveType` | `getByPrimitiveType(java.lang.Class primitiveType)`
`boolean` | `isWide()`
`static PrimitiveType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PrimitiveType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VOID

    public static final PrimitiveType VOID

### BOOLEAN

    public static final PrimitiveType BOOLEAN

### CHAR

    public static final PrimitiveType CHAR

### BYTE

    public static final PrimitiveType BYTE

### SHORT

    public static final PrimitiveType SHORT

### INT

    public static final PrimitiveType INT

### FLOAT

    public static final PrimitiveType FLOAT

### LONG

    public static final PrimitiveType LONG

### DOUBLE

    public static final PrimitiveType DOUBLE

Field Detail

### name

    public final java.lang.String name

### descriptor

    public final java.lang.String descriptor

### wrapperInternalName

    public final java.lang.String wrapperInternalName

### valueOfMethodDescriptor

    public final java.lang.String valueOfMethodDescriptor

### toValueMethodName

    public final java.lang.String toValueMethodName

### getFromStaticContextMethodName

    public final java.lang.String getFromStaticContextMethodName

### toValueMethodDescriptor

    public final java.lang.String toValueMethodDescriptor

### getFromStaticContextMethodDescriptor

    public final java.lang.String getFromStaticContextMethodDescriptor

### primitiveType

    public final java.lang.Class primitiveType

### wrapperType

    public final java.lang.Class wrapperType

### loadOpcode

    public final int loadOpcode

### storeOpcode

    public final int storeOpcode

### returnOpcode

    public final int returnOpcode

Method Detail

### values

    public static final PrimitiveType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(PrimitiveType c : PrimitiveType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static PrimitiveType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### isWide

    public boolean isWide()

### getByName

    public static PrimitiveType getByName(java.lang.String name)

  Returns the primitive type matching the given type name or null for a non-primitive type (an array type, or an class name).

  Parameters:
    `name` - possible primitive name
  Returns:
    the type or null

### getByPrimitiveType

    public static PrimitiveType getByPrimitiveType(java.lang.Class primitiveType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2012 The Apache Software Foundation.